Upgraded to Big Sur and now my codesigning fails on 10.11 and earlier

Upgraded to Big Sur and now my codesigning fails on 10.11 and earlier. Anybody else seeing this?

On 10.11 I see:

App_1.2.6.pkg can't be installed because its digital signature is invalid.

The package may have been corrupted or tampered with. Get a new copy of the package and try again.

Any ideas?

JUCE and macOS 11 / ARM is this relevant?

This seems like what I was referring to in the other thread, Chris from Audio Damage has talked about this on his Twitter too

1 Like

I’d love to know if the runtime exceptions library validation would make stuff work pre 10.12. Sadly I don’t have a machine to test that, just big sur and catalina here.

productsign in Big Sur isn’t adding SHA1 hashes: https://developer.apple.com/forums/thread/664842

Don’t be a dumbass like me and upgrade your build machines to Big Sur.

I already did upgrade :rofl:

That is why I have two mac minis: one upgraded and one with the previous system or XCode. Now I will have three after Apple switched to ARM.